package de.ivu.elect.was.exchange.internet;

import java.io.IOException;
import java.io.OutputStream;
import java.nio.charset.Charset;
import java.util.zip.ZipOutputStream;

/**
 *  on 16.04.2015.
 */
public class NotFinishZipOutputStream extends ZipOutputStream {
  public NotFinishZipOutputStream(OutputStream out) {
    super(out);
  }

  public NotFinishZipOutputStream(OutputStream out, Charset charset) {
    super(out, charset);
  }

  @Override
  public void finish() throws IOException {
    // ignorieren
  }

  public void finishNow() throws IOException {
    super.finish();
  }

}
